Xalan-Java 2.7.1: Class Schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.validation
Class Schema

    java.lang.Object
      |
      +--javax.xml.validation.Schema

public abstract class Schema
extends java.lang.Object

Immutable in-memory representation of grammar.

This object represents a set of constraints that can be checked/ enforced against an XML document.

A `Schema` object is thread safe and applications are encouraged to share it across many parsers in many threads.

A `Schema` object is immutable in the sense that it shouldn't change the set of constraints once it is created. In other words, if an application validates the same document twice against the same `Schema`, it must always produce the same result.

A `Schema` object is usually created from `SchemaFactory`.

Two kinds of validators can be created from a `Schema` object. One is `Validator`, which provides highly-level validation operations that cover typical use cases. The other is `ValidatorHandler`, which works on top of SAX for better modularity.

This specification does not refine the `Object.equals(java.lang.Object)` method. In other words, if you parse the same schema twice, you may still get `!schemaA.equals(schemaB)`.

Since:
  1.5
See Also:
  XML Schema Part 1: Structures, Extensible Markup Language (XML) 1.1, Extensible Markup Language (XML) 1.0 (Second Edition)

Method Summary
`abstract Validator` | `newValidator()` Creates a new `Validator` for this `Schema`.
`abstract ValidatorHandler` | `newValidatorHandler()` Creates a new `ValidatorHandler` for this `Schema`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newValidator

    public abstract Validator newValidator()

  Creates a new `Validator` for this `Schema`.

  A validator enforces/checks the set of constraints this object represents.

  Returns:
    Always return a non-null valid object.

### newValidatorHandler

    public abstract ValidatorHandler newValidatorHandler()

  Creates a new `ValidatorHandler` for this `Schema`.
  Returns:
    Always return a non-null valid object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.